This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1473318 - Console installer produces wrong auto.xml script
Console installer produces wrong auto.xml script
Status: ON_QA
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Installer (Show other bugs)
6.4.0
Unspecified Unspecified
urgent Severity high
: ER2
: 6.4.0
Assigned To: Thomas Hauser
Jan Stastny
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 09:14 EDT by Jan Stastny
Modified: 2017-09-05 10:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stastny 2017-07-20 09:14:25 EDT
Description of problem:
Applies to both DR4 and ER1.
Wrong console script is being produced as a result of console installation.
This installation should be:
- clean target dir
- packages: select teiid + dsb (ModeShape and Dashboard builder not selected)
- users: use single password
- default configuration
- generate ssl keystore

There are resulting auto.xml scripts for both console and gui installers:

Console:
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<AutomatedInstallation langpack="eng">
<productName>DV</productName>
<productVersion>6.4.0</productVersion>
<com.izforge.izpack.panels.HTMLLicencePanel id="HTMLLicencePanel"/>
<com.izforge.izpack.panels.TargetPanel id="DirectoryPanel">
<installpath>/home/jstastny/tmp-workspaces/dv640er1dsb</installpath>
</com.izforge.izpack.panels.TargetPanel>
<com.izforge.izpack.panels.TreePacksPanel id="TreePacksPanel"/>
<com.izforge.izpack.panels.UserInputPanel id="security">
<userInput>
<entry key="use.same.password" value="true"/>
<entry key="adminUser" value="admin"/>
<entry autoPrompt="true" key="adminPassword"/>
<entry key="Teiid.user.username" value="teiidUser"/>
<entry key="Teiid.user.logging" value=""/>
</userInput>
</com.izforge.izpack.panels.UserInputPanel>
<com.izforge.izpack.panels.UserInputPanel id="postinstall">
<userInput>
<entry key="postinstallServer" value="false"/>
</userInput>
</com.izforge.izpack.panels.UserInputPanel>
<com.izforge.izpack.panels.UserInputPanel id="vaultsecuritypreexisting"/>
<com.izforge.izpack.panels.UserInputPanel id="vaultsecuritydefault"/>
<com.redhat.installer.asconfiguration.securitydomain.panel.SecurityDomainPanel id="Security Domain Panel"/>
<com.izforge.izpack.panels.UserInputPanel id="jsssecuritydomain"/>
<com.redhat.installer.asconfiguration.jdbc.panel.JBossJDBCDriverSetupPanel id="jdbc.panel"/>
<com.izforge.izpack.panels.UserInputPanel id="dblogging.panel"/>
<com.izforge.izpack.panels.UserInputPanel id="javaopts.panel"/>
<com.izforge.izpack.panels.UserInputPanel id="ssl.panel">
<userInput>
<entry key="keystoreGenerate" value="true"/>
<entry key="ssl.alias" value="jboss"/>
<entry autoPrompt="true" key="ssl.password"/>
<entry key="ssl.path" value="/home/jstastny/tmp-workspaces/dv640er1dsb/standalone/configuration/demo.keystore"/>
</userInput>
</com.izforge.izpack.panels.UserInputPanel>
<com.izforge.izpack.panels.SummaryPanel id="SummaryPanel"/>
<com.izforge.izpack.panels.InstallPanel id="InstallPanel"/>
<com.izforge.izpack.panels.ProcessPanel id="ProcessPanel"/>
<com.izforge.izpack.panels.FinishPanel id="FinishPanel"/>
</AutomatedInstallation>


equivalent created by gui installer:
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<AutomatedInstallation langpack="eng">
<productName>DV</productName>
<productVersion>6.4.0</productVersion>
<com.izforge.izpack.panels.HTMLLicencePanel id="HTMLLicencePanel"/>
<com.izforge.izpack.panels.TargetPanel id="DirectoryPanel">
<installpath>/home/jstastny/tmp-workspaces/dv640dr1dsb</installpath>
</com.izforge.izpack.panels.TargetPanel>
<com.izforge.izpack.panels.TreePacksPanel id="TreePacksPanel">
<pack index="0" name="Red Hat JBoss Enterprise Application Platform" selected="true"/>
<pack index="1" name="Red Hat JBoss DV Platform" selected="true"/>
<pack index="2" name="EAP 6.4.9 Patch" selected="true"/>
<pack index="3" name="EAP Latest Patch" selected="true"/>
<pack index="4" name="Teiid" selected="true"/>
<pack index="5" name="Dashboard Builder" selected="false"/>
<pack index="6" name="Data Services Builder" selected="true"/>
<pack index="7" name="ModeShape" selected="false"/>
</com.izforge.izpack.panels.TreePacksPanel>
<com.izforge.izpack.panels.UserInputPanel id="security">
<userInput>
<entry key="use.same.password" value="true"/>
<entry key="adminUser" value="admin"/>
<entry autoPrompt="true" key="adminPassword"/>
<entry key="Teiid.user.username" value="teiidUser"/>
<entry key="Teiid.user.odata" value=",odata"/>
<entry key="Teiid.user.logging" value=""/>
</userInput>
</com.izforge.izpack.panels.UserInputPanel>
<com.izforge.izpack.panels.UserInputPanel id="postinstall">
<userInput>
<entry key="postinstallServer" value="false"/>
</userInput>
</com.izforge.izpack.panels.UserInputPanel>
<com.izforge.izpack.panels.UserInputPanel id="vaultsecuritypreexisting"/>
<com.izforge.izpack.panels.UserInputPanel id="vaultsecuritydefault"/>
<com.redhat.installer.asconfiguration.securitydomain.panel.SecurityDomainPanel id="Security Domain Panel"/>
<com.izforge.izpack.panels.UserInputPanel id="jsssecuritydomain"/>
<com.redhat.installer.asconfiguration.jdbc.panel.JBossJDBCDriverSetupPanel id="jdbc.panel"/>
<com.izforge.izpack.panels.UserInputPanel id="dblogging.panel"/>
<com.izforge.izpack.panels.UserInputPanel id="javaopts.panel"/>
<com.izforge.izpack.panels.UserInputPanel id="ssl.panel">
<userInput>
<entry key="keystoreGenerate" value="true"/>
<entry key="ssl.alias" value="jboss"/>
<entry autoPrompt="true" key="ssl.password"/>
<entry key="ssl.path" value="/home/jstastny/tmp-workspaces/dv640dr1dsb/standalone/configuration/demo.keystore"/>
</userInput>
</com.izforge.izpack.panels.UserInputPanel>
<com.izforge.izpack.panels.SummaryPanel id="SummaryPanel"/>
<com.izforge.izpack.panels.InstallPanel id="InstallPanel"/>
<com.izforge.izpack.panels.ProcessPanel id="ProcessPanel"/>
<com.izforge.izpack.panels.FinishPanel id="FinishPanel"/>
</AutomatedInstallation>

Note You need to log in before you can comment on or make changes to this bug.